set OSGEO4W_ROOT=C:\OSGeo4W
set P=netcdf
set V=4.4.1.1
set B=1

set R=..\..\..\x86\release\%P%
mkdir %R%

call "C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" x86
echo on
path C:\Program Files\CMake\bin;C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE;c:\cygwin\bin;%PATH%

copy CMakeLists.txt ..

if not exist build32 mkdir build32
cd build32

cmake -G "Visual Studio 14 2015" ^
	-D CMAKE_INSTALL_PREFIX=../install32 ^
	-D CMAKE_MODULE_PATH="${CMAKE_ROOT}/cmake/modules/ ${CMAKE_SOURCE_DIR}/cmake/modules/ ${CMAKE_SOURCE_DIR}/cmake/modules/windows" ^
	-D HDF5_DIR=%OSGEO4W_ROOT%/share/cmake/hdf5 ^
	-D CURL_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D CURL_LIBRARY=%OSGEO4W_ROOT%/lib/libcurl.lib ^
	-D ZLIB_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D ZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/zlib.lib ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv netCDF.sln /Project ALL_BUILD /Build Release /out build.log
if errorlevel 1 (echo build error ^ goto error)

devenv netCDF.sln /Project INSTALL /Build Release /out install.log
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint
copy ..\COPYRIGHT %R%\%P%-%V%-%B%.txt

tar -C install32 -cjf %R%\%P%-%V%-%B%.tar.bz2 bin/nccopy.exe bin/ncdump.exe bin/ncgen.exe bin/ncgen3.exe bin/netcdf.dll include lib share
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/CMakeLists.txt osgeo4w/package32.cmd osgeo4w/setup.hint

exit

:error
